package com.zilber.boot.activiti.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

import java.io.Serializable;
import java.util.Date;

@Getter
@Setter
@ApiModel("流程任务（简单数据结构）")
public class SimpleTaskVO implements Serializable {

    @ApiModelProperty("任务ID")
    private String taskId;

    @ApiModelProperty("任务名称")
    private String taskName;

    @ApiModelProperty("任务描述")
    private String taskDescription;

    @ApiModelProperty("任务定义Key")
    private String taskDefinitionKey;

    @ApiModelProperty("执行人")
    private String assignee;

    @ApiModelProperty("任务开始时间")
    private Date taskTime;

    @ApiModelProperty("任务优先级")
    private Integer priority;

    @ApiModelProperty("是否为挂起状态：1-否 2-是")
    private Integer suspensionState;

    @ApiModelProperty("业务ID")
    private Integer businessId;

}
